package eu.jonahbauer.raytracing.render.spectral.spectrum;

/**
 * A constant spectrum.
 * @param c the constant value
 */
public record ConstantSpectrum(double c) implements Spectrum {
    @Override
    public double max() {
        return c;
    }

    @Override
    public double get(double lambda) {
        return c;
    }
}
